Page MenuHomePhabricator

SkinStyles registered via ResourceModuleSkinStyles do not work on classes other than ResourceLoaderFileModule
Closed, ResolvedPublic

Description

MFResourceLoaderParsedMessageModule extends ResourceLoaderFileModule

However, skinStyles registered via ResourceModuleSkinStyles are not registered for modules that specify the class MFResourceLoaderParsedMessageModule.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2017, 11:18 PM

+cc @matmarex, see related https://gerrit.wikimedia.org/r/#/c/357327/ - we'll need to implement a general solution for this.

matmarex claimed this task.Jun 9 2017, 7:37 AM
Krinkle triaged this task as High priority.Jun 14 2017, 9:35 PM
Krinkle moved this task from Inbox to Accepted: Bugs on the MediaWiki-ResourceLoader board.

Change 357327 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Allow $wgResourceModuleSkinStyles for any ResourceLoaderFileModule subclass

https://gerrit.wikimedia.org/r/357327

Change 357327 merged by jenkins-bot:
[mediawiki/core@master] Allow $wgResourceModuleSkinStyles for any ResourceLoaderFileModule subclass

https://gerrit.wikimedia.org/r/357327

matmarex closed this task as Resolved.Jun 21 2017, 8:01 PM
matmarex removed a project: Patch-For-Review.
Restricted Application added a project: Performance-Team. · View Herald TranscriptMar 6 2018, 6:58 PM